org.eclipse.net4j.tcp

## Class TCPUtil.ConnectorData

- java.lang.Object
- - org.eclipse.net4j.tcp.TCPUtil.ConnectorData

- Enclosing class:
    TCPUtil

      public static final class TCPUtil.ConnectorData
      extends java.lang.Object

  Encapsulates the data needed to configure a `TCP connector`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorData()`
    `ConnectorData(ITCPConnector connector)`
    `ConnectorData(java.lang.String description)`
    `ConnectorData(java.lang.String host, int port, java.lang.String userID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getHost()`
    `int` | `getPort()`
    `java.lang.String` | `getUserID()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectorData

          public ConnectorData()

    - #### ConnectorData

          public ConnectorData(java.lang.String host,
                               int port,
                               java.lang.String userID)

    - #### ConnectorData

          public ConnectorData(java.lang.String description)

    - #### ConnectorData

          public ConnectorData(ITCPConnector connector)

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

    - #### getPort

          public int getPort()

    - #### getUserID

          public java.lang.String getUserID()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html